module Cmsso

  class Configuration
    attr_accessor :module_key
    attr_accessor :base_uri
    attr_accessor :proxy

    def initialize
      @environment = nil if Rails.env.production?
      @environment = "-test" if Rails.env.development? || Rails.env.test?
      @environment = "-int" if Rails.env.integration?

      @proxy       = nil
      @module_key  = "cm_chbs_portal"
      @base_uri    = "http://cmservice-chbs#{@environment}.novartis.net:3056/persons" 
    end
  end

  class << self
    attr_accessor :configuration
  end

  def self.configure
    self.configuration ||= Configuration.new
    yield(configuration)
  end
  
end